Update a person
curl --request PATCH \
--url https://api.myladder.africa/partner/v1/kyb/people/{person_id} \
--header 'Content-Type: application/json' \
--header 'X-Ladder-Key: <api-key>' \
--header 'X-Ladder-Signature: <api-key>' \
--header 'X-Ladder-Timestamp: <api-key>' \
--data '
{
"roles": [],
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"nationality": "<string>",
"id_number": "<string>",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"residential_address": "<string>",
"ownership_percentage": "<string>",
"bvn": "<string>",
"is_pep": true,
"pep_details": "<string>"
}
'import requests
url = "https://api.myladder.africa/partner/v1/kyb/people/{person_id}"
payload = {
"roles": [],
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"nationality": "<string>",
"id_number": "<string>",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"residential_address": "<string>",
"ownership_percentage": "<string>",
"bvn": "<string>",
"is_pep": True,
"pep_details": "<string>"
}
headers = {
"X-Ladder-Key": "<api-key>",
"X-Ladder-Timestamp": "<api-key>",
"X-Ladder-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Ladder-Key': '<api-key>',
'X-Ladder-Timestamp': '<api-key>',
'X-Ladder-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
roles: [],
first_name: '<string>',
last_name: '<string>',
date_of_birth: '2023-12-25',
nationality: '<string>',
id_number: '<string>',
middle_name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
residential_address: '<string>',
ownership_percentage: '<string>',
bvn: '<string>',
is_pep: true,
pep_details: '<string>'
})
};
fetch('https://api.myladder.africa/partner/v1/kyb/people/{person_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.myladder.africa/partner/v1/kyb/people/{person_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'roles' => [
],
'first_name' => '<string>',
'last_name' => '<string>',
'date_of_birth' => '2023-12-25',
'nationality' => '<string>',
'id_number' => '<string>',
'middle_name' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>',
'residential_address' => '<string>',
'ownership_percentage' => '<string>',
'bvn' => '<string>',
'is_pep' => true,
'pep_details' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Ladder-Key: <api-key>",
"X-Ladder-Signature: <api-key>",
"X-Ladder-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.myladder.africa/partner/v1/kyb/people/{person_id}"
payload := strings.NewReader("{\n \"roles\": [],\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"id_number\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"residential_address\": \"<string>\",\n \"ownership_percentage\": \"<string>\",\n \"bvn\": \"<string>\",\n \"is_pep\": true,\n \"pep_details\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Ladder-Key", "<api-key>")
req.Header.Add("X-Ladder-Timestamp", "<api-key>")
req.Header.Add("X-Ladder-Signature", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.myladder.africa/partner/v1/kyb/people/{person_id}")
.header("X-Ladder-Key", "<api-key>")
.header("X-Ladder-Timestamp", "<api-key>")
.header("X-Ladder-Signature", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"roles\": [],\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"id_number\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"residential_address\": \"<string>\",\n \"ownership_percentage\": \"<string>\",\n \"bvn\": \"<string>\",\n \"is_pep\": true,\n \"pep_details\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.myladder.africa/partner/v1/kyb/people/{person_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Ladder-Key"] = '<api-key>'
request["X-Ladder-Timestamp"] = '<api-key>'
request["X-Ladder-Signature"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"roles\": [],\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"id_number\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"residential_address\": \"<string>\",\n \"ownership_percentage\": \"<string>\",\n \"bvn\": \"<string>\",\n \"is_pep\": true,\n \"pep_details\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"roles": [
"director"
],
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"nationality": "<string>",
"id_type": "passport",
"id_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"residential_address": "<string>",
"ownership_percentage": "<string>",
"id_number_masked": "<string>",
"bvn": "<string>",
"bvn_masked": "<string>",
"is_pep": true,
"pep_details": "<string>",
"review_status": "pending",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}KYB
Update a person
PATCH
/
partner
/
v1
/
kyb
/
people
/
{person_id}
Update a person
curl --request PATCH \
--url https://api.myladder.africa/partner/v1/kyb/people/{person_id} \
--header 'Content-Type: application/json' \
--header 'X-Ladder-Key: <api-key>' \
--header 'X-Ladder-Signature: <api-key>' \
--header 'X-Ladder-Timestamp: <api-key>' \
--data '
{
"roles": [],
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"nationality": "<string>",
"id_number": "<string>",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"residential_address": "<string>",
"ownership_percentage": "<string>",
"bvn": "<string>",
"is_pep": true,
"pep_details": "<string>"
}
'import requests
url = "https://api.myladder.africa/partner/v1/kyb/people/{person_id}"
payload = {
"roles": [],
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"nationality": "<string>",
"id_number": "<string>",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"residential_address": "<string>",
"ownership_percentage": "<string>",
"bvn": "<string>",
"is_pep": True,
"pep_details": "<string>"
}
headers = {
"X-Ladder-Key": "<api-key>",
"X-Ladder-Timestamp": "<api-key>",
"X-Ladder-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Ladder-Key': '<api-key>',
'X-Ladder-Timestamp': '<api-key>',
'X-Ladder-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
roles: [],
first_name: '<string>',
last_name: '<string>',
date_of_birth: '2023-12-25',
nationality: '<string>',
id_number: '<string>',
middle_name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
residential_address: '<string>',
ownership_percentage: '<string>',
bvn: '<string>',
is_pep: true,
pep_details: '<string>'
})
};
fetch('https://api.myladder.africa/partner/v1/kyb/people/{person_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.myladder.africa/partner/v1/kyb/people/{person_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'roles' => [
],
'first_name' => '<string>',
'last_name' => '<string>',
'date_of_birth' => '2023-12-25',
'nationality' => '<string>',
'id_number' => '<string>',
'middle_name' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>',
'residential_address' => '<string>',
'ownership_percentage' => '<string>',
'bvn' => '<string>',
'is_pep' => true,
'pep_details' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Ladder-Key: <api-key>",
"X-Ladder-Signature: <api-key>",
"X-Ladder-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.myladder.africa/partner/v1/kyb/people/{person_id}"
payload := strings.NewReader("{\n \"roles\": [],\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"id_number\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"residential_address\": \"<string>\",\n \"ownership_percentage\": \"<string>\",\n \"bvn\": \"<string>\",\n \"is_pep\": true,\n \"pep_details\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Ladder-Key", "<api-key>")
req.Header.Add("X-Ladder-Timestamp", "<api-key>")
req.Header.Add("X-Ladder-Signature", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.myladder.africa/partner/v1/kyb/people/{person_id}")
.header("X-Ladder-Key", "<api-key>")
.header("X-Ladder-Timestamp", "<api-key>")
.header("X-Ladder-Signature", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"roles\": [],\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"id_number\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"residential_address\": \"<string>\",\n \"ownership_percentage\": \"<string>\",\n \"bvn\": \"<string>\",\n \"is_pep\": true,\n \"pep_details\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.myladder.africa/partner/v1/kyb/people/{person_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Ladder-Key"] = '<api-key>'
request["X-Ladder-Timestamp"] = '<api-key>'
request["X-Ladder-Signature"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"roles\": [],\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"id_number\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"residential_address\": \"<string>\",\n \"ownership_percentage\": \"<string>\",\n \"bvn\": \"<string>\",\n \"is_pep\": true,\n \"pep_details\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"roles": [
"director"
],
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"nationality": "<string>",
"id_type": "passport",
"id_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"residential_address": "<string>",
"ownership_percentage": "<string>",
"id_number_masked": "<string>",
"bvn": "<string>",
"bvn_masked": "<string>",
"is_pep": true,
"pep_details": "<string>",
"review_status": "pending",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Your key id: pk_test_… (sandbox) or pk_live_… (live).
Unix seconds, as a string; must be within 5 minutes of server time.
Lower-case hex HMAC-SHA512 over timestamp, method, path+query and the SHA-256 of the body. See Authentication.
Path Parameters
Body
application/json
Available options:
director, beneficial_owner, signatory, admin Required string length:
1 - 100Required string length:
1 - 100Required string length:
1 - 3Available options:
passport, nin, ghana_card, drivers_license, voters_card Required string length:
1 - 64Maximum string length:
100Maximum string length:
254Maximum string length:
50Pattern:
^\d{11}$Response
Show child attributes
Show child attributes